Bug 573848 - (perl-NetPacket) Review Request: perl-NetPacket - Modules to assemble/disassemble network packets at the protocol level
Review Request: perl-NetPacket - Modules to assemble/disassemble network pack...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 573917 573918 sqlninja
  Show dependency treegraph
 
Reported: 2010-03-15 17:38 EDT by Jan Klepek
Modified: 2011-01-26 14:03 EST (History)
5 users (show)

See Also:
Fixed In Version: perl-NetPacket-1.0.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-20 14:53:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Patch for EPEL5 (632 bytes, patch)
2010-09-12 11:43 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Jan Klepek 2010-03-15 17:38:33 EDT
Spec URL: http://hpejakle.fedorapeople.org/packages/perl-NetPacket.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-NetPacket-0.41.1-1.fc11.src.rpm
Description: NetPacket provides a base class for a cluster of modules related to
decoding and encoding of network protocols. Each NetPacket descendent
module knows how to encode and decode packets for the network protocol it
implements. Consult the documentation for the module in question for protocol-
specific implementation.
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2054702
Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Chris Weyl 2010-03-17 00:24:47 EDT
So, aside from the spelling error in %description, everything looks good.

....except for the license.  I see references to the "Perl Artistic License",
and a (defunct) url is given to document it.  Given the age of the software, I
have to wonder if it's the Artistic v1, rather than v2.

I do see a github repo listed in META.yml; is there any chance we can query
upstream for clarification?

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2054702

Spec looks sane, clean and consistent; license is correct (Artistic 2.0);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
ac2ebb4084beab7f73eeb4e1a994d24636de2575 NetPacket-0.41.1.tar.gz
ac2ebb4084beab7f73eeb4e1a994d24636de2575 NetPacket-0.41.1.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-NetPacket-0.41.1-1.fc14.noarch.rpm <=====
====> rpmlint
perl-NetPacket.noarch: W: spelling-error %description -l en_US descendent -> descendant, descender, descend
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-NetPacket-0.41.1-1.fc14.noarch.rpm
perl(NetPacket) = 0.41.1
perl-NetPacket = 0.41.1-1.fc14
perl(NetPacket::ARP) = 0.41.1
perl(NetPacket::Ethernet) = 0.41.1
perl(NetPacket::ICMP) = 0.41.1
perl(NetPacket::IGMP) = 0.41.1
perl(NetPacket::IP) = 0.41.1
perl(NetPacket::TCP) = 0.41.1
perl(NetPacket::UDP) = 0.41.1
====> requires for perl-NetPacket-0.41.1-1.fc14.noarch.rpm
perl(constant)  
perl(:MODULE_COMPAT_5.10.1)  
perl(NetPacket)  
perl(NetPacket::IP)  
perl(strict)  
perl(vars)  

=====> perl-NetPacket-0.41.1-1.fc14.src.rpm <=====
====> rpmlint
perl-NetPacket.src: W: spelling-error %description -l en_US descendent -> descendant, descender, descend
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-NetPacket-0.41.1-1.fc14.src.rpm
====> requires for perl-NetPacket-0.41.1-1.fc14.src.rpm
perl(Module::Build)  
perl(Test::More)
Comment 2 Jan Klepek 2010-03-17 03:15:18 EDT
I have asked upstream for clarification, hope they will respond soon.
hmm, my rpmlint is quiet. How did you use it that it checks for spelling errors?
Comment 3 Jan Klepek 2010-03-29 13:16:54 EDT
upstream released new version with confirmation that License is GPL+ or Artistic 2.0 (same as perl)

spelling error fixed.

Spec URL: http://hpejakle.fedorapeople.org/packages/perl-NetPacket.spec
SRPM URL: http://hpejakle.fedorapeople.org/packages/perl-NetPacket-0.42.0-1.fc11.src.rpm
Comment 4 Jan Klepek 2010-06-10 01:43:54 EDT
Hi Chris, 

ping?
Comment 5 Jose Pedro Oliveira 2010-09-12 11:04:53 EDT
Jan,

Could you update NetPacket to the latest upstream version? 

Regards,
jpo
Comment 6 Jose Pedro Oliveira 2010-09-12 11:43:57 EDT
Created attachment 446770 [details]
Patch for EPEL5

Downgrades the Module::Build version requirement so that it the module can be packaged for EPEL5.


Error messages without the patch:
----------
...
+ /usr/bin/perl Build.PL installdirs=vendor
Module::Build version 0.360100 required--this is only version 0.280700 at Build.PL line 5
BEGIN failed--compilation aborted at Build.PL line 5, <DATA> line 537.
error: Bad exit status from /var/tmp/rpm-tmp.54415 (%build)
...
----------
Comment 7 Jose Pedro Oliveira 2010-10-28 18:42:13 EDT
The latest upstream version is 1.0.1.
Comment 8 Marcela Mašláňová 2010-12-20 08:21:30 EST
Hello Jan,
could you provide current version 1.0.1? I'll retake this review.
Comment 9 Jose Pedro Oliveira 2011-01-04 09:57:35 EST
Marcela,

I don't mind submitting perl-NetPacket 1.0.1 for review if Jan doesn't give any news in the next few days.

jpo
Comment 10 Marcela Mašláňová 2011-01-04 10:30:31 EST
Ok, I'll be waiting for ping from one of you.
Comment 11 Jose Pedro Oliveira 2011-01-08 15:01:56 EST
Marcela,

Here are the SRPM and specfile of NetPacket 1.0.1:
SRPM    : http://um-pe09-2.di.uminho.pt./fedora/perl-NetPacket-1.0.1-1.el5.src.rpm
Specfile: http://um-pe09-2.di.uminho.pt./fedora/perl-NetPacket.spec

Major changes:
* updated to version 1.0.1
* disables one of the tests and applies a patch to downgrade the Module::Build version requirement so that it can be successfully built in EPEL >= 5 and Fedora >= 12.

/jpo
Comment 12 Marcela Mašláňová 2011-01-10 04:25:37 EST
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
http://koji.fedoraproject.org/koji/taskinfo?taskID=2711790
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -q --provides perl-NetPacket
perl(NetPacket) = 1.0.1
perl(NetPacket::ARP) = 1.0.1
perl(NetPacket::Ethernet) = 1.0.1
perl(NetPacket::ICMP) = 1.0.1
perl(NetPacket::IGMP) = 1.0.1
perl(NetPacket::IP) = 1.0.1
perl(NetPacket::TCP) = 1.0.1
perl(NetPacket::UDP) = 1.0.1
perl-NetPacket = 1.0.1-1.fc15

rpm -q --requires perl-NetPacket
perl(:MODULE_COMPAT_5.12.2)  
perl(NetPacket)  
perl(NetPacket::IP)  
perl(constant)  
perl(strict)  
perl(vars)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadIsXz) <= 5.2-1

Patch for EL-5 build looks fine.

ACCEPT
Comment 13 Jose Pedro Oliveira 2011-01-10 14:10:16 EST
New Package SCM Request
=======================
Package Name: perl-NetPacket
Short Description: Assemble/disassemble network packets at the protocol level
Owners: jpo
Branches: f13 f14 el5 el6
InitialCC: perl-sig
Comment 14 Jason Tibbitts 2011-01-10 14:21:17 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2011-01-10 14:52:42 EST
perl-NetPacket-1.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-NetPacket-1.0.1-1.el5
Comment 16 Fedora Update System 2011-01-10 15:00:37 EST
perl-NetPacket-1.0.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-NetPacket-1.0.1-1.fc13
Comment 17 Fedora Update System 2011-01-10 15:01:14 EST
perl-NetPacket-1.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-NetPacket-1.0.1-1.fc14
Comment 18 Fedora Update System 2011-01-11 12:00:00 EST
perl-NetPacket-1.0.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-NetPacket'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-NetPacket-1.0.1-1.el5
Comment 19 Fedora Update System 2011-01-20 14:53:08 EST
perl-NetPacket-1.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2011-01-20 14:55:16 EST
perl-NetPacket-1.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2011-01-26 14:03:15 EST
perl-NetPacket-1.0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.